%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           nng
Version:        1.10.1
Release:        %mkrel 1
Summary:        Nanomsg NG - brokerless messaging
License:        MIT
Group:          System/Libraries
URL:            https://nanomsg.github.io/nng/
Source:         https://github.com/nanomsg/nng/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  asciidoctor

%description
nng (nanomsg next-generation) is a C socket library providing
several common communication patterns.

%package -n %{libname}
Summary:        Light-weight brokerless messaging
Group:          System/Libraries

%description -n %{libname}
nng (nanomsg next-generation) is a C socket library providing
several common communication patterns.

%package -n %{devname}
Summary:        Header files for nng
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development and header files for nng (nanomsg next-generation).

%package  utils
Summary:        Command line interface for communicating with nng

%description utils
Includes nngcat, a simple utility for reading and writing to nanomsg
sockets and bindings, which can include local and remote connections.

%prep
%autosetup

%build
%cmake -DCMAKE_CXX_FLAGS="%{optflags} -fPIC" \
       -DNNG_ENABLE_DOC=ON
%cmake_build

%install
%cmake_install

# No need to ship dev docs as both html and man format
rm -rf %{buildroot}/%{_mandir}/man[3-7]*

%files -n %{libname}
%doc README.adoc
%license LICENSE.txt
%{_libdir}/libnng.so.%{major}{,.*}

%files -n %{devname}
%{_docdir}/nng/
%{_includedir}/nng/
%{_libdir}/libnng.so
%{_libdir}/cmake/nng/

%files utils
%{_bindir}/nngcat
%{_mandir}/man1/nngcat.1.*


%changelog
* Wed Feb 19 2025 daviddavid <daviddavid> 1.10.1-1.mga10
+ Revision: 2149854
- initial package nng (needed for kicad >= 9.0.0)

